Bug 311830 - Absolute path to the log file should be shown as soon as an error is encountered.
Summary: Absolute path to the log file should be shown as soon as an error is encounte...
Status: REOPENED
Alias: None
Product: kdesrc-build
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Michael Pyne
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-17 13:50 UTC by David Faure
Modified: 2021-03-14 09:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.16


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2012-12-17 13:50:27 UTC
When running make test and some tests fail, I see:

3 tests failed for kdelibs, consult latest/kdelibs/tests-results.log

But for compile errors, I get a full path, which is easier to copy/paste from anywhere. 
Can you do the same for failing tests?

Reproducible: Always

Steps to Reproduce:
module-set
  use-modules kdelibs
  repository kde-git
  cmake-options -DKDE4_BUILD_TESTS=TRUE -DCMAKE_BUILD_TYPE:STRING=debugfull -DBUILD_experimental:BOOL=true
  run-tests upload
end module

Actual Results:  
3 tests failed for kdelibs, consult latest/kdelibs/tests-results.log

Expected Results:  
No tests failed :-)  Hehe, just kidding.

3 tests failed for kdelibs, consult /d/kde/src/t/log/latest/kdelibs/tests-results.log
Comment 1 David Faure 2012-12-17 14:35:17 UTC
Ah, I see. In fact for cmake or make errors, there is no path to log file at the time of the error, only at the end....

But it would be very convenient to have it at the time of the problem, so I can look into it without waiting for the full build to complete.

So this request is really: always show path to log file, and always absolute, as soon as the problem is detected (whether that is git, cmake, make, or tests)
Comment 2 Michael Pyne 2012-12-24 18:11:51 UTC
Git commit 44b7ffc7844a56cfd183943a569eaf59840f271c by Michael Pyne.
Committed on 24/12/2012 at 19:08.
Pushed by mpyne into branch 'master'.

run-tests: Give full path to test results log.

Turns out the Module class already has a getter for the log directory.
FIXED-IN:1.16

M  +4    -2    modules/ksb/BuildSystem/KDE4.pm

http://commits.kde.org/kdesrc-build/44b7ffc7844a56cfd183943a569eaf59840f271c
Comment 3 Michael Pyne 2012-12-24 18:13:58 UTC
Actually I'll reopen because I just noticed that the complaint was amended a bit. :)

This only shows log file for test failures, not build/update/etc.
Comment 4 Jean Galerne 2014-04-30 17:16:32 UTC
Sirs,

Thank you for your aid, I return sur my computer for restarting and see if the bug is reproduct
again and if systeme is affected.
Merci et meilleures salutations

Jean Galerne
Comment 5 Justin Zobel 2021-03-09 23:42:45 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.
Comment 6 David Faure 2021-03-14 09:21:40 UTC
The wish still exists, yes.